## workman 1.3.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.11 1997/12/23 09:45:02 dirk Exp $
+# $Id: Makefile,v 1.10 1999/09/03 14:50:43 dirk Exp $
 # 
 # *sweat* ... This makefile is prone to confuse your development system.
 #
@@ -46,12 +46,14 @@
 PROGRAM = workman
 SOURCES.c = workman_stubs.c database.c cdinfo.c display.c setup.c \
 	ui_cdinfo.c plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
+	plat_aix.c \
 	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
-	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c index.c
+	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c \
+	ui_goodies.c cddb.c index.c
 
 SOURCES.h = struct.h workman_ui.h ui_cdinfo.h setup.h workman_stubs.h \
 	display.h config.h proto.h cdrom.h plat_.h database.h \
-	index.h scsi.h cdinfo.h
+	scsi.h cdinfo.h ui_goodies.h
 
 OBJECTS = \
 	$(SOURCES.c:%.c=%.o)
@@ -59,8 +61,9 @@
 WBPROGRAM = workbone
 WBSOURCES.c = workbone.c cdinfo.c \
 	plat_sun.c plat_hpux.c plat_linux.c plat_news.c \
+	plat_aix.c \
 	plat_bsd386.c plat_ultrix.c cdrom.c scsi.c drv_toshiba.c drv_sony.c \
-	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c index.c
+	plat_svr4.c plat_freebsd.c plat_osf1.c plat_irix.c
 
 WBSOURCES.h = struct.h workbone.h config.h proto.h cdrom.h plat_.h \
 	database.h cdinfo.h
@@ -68,36 +71,44 @@
 WBOBJECTS = \
 	$(WBSOURCES.c:%.c=%.o)
 
+
+CDDASLAVE.c = cddaslave.c plat_sun_cdda.c plat_sun_audio.c \
+	      plat_linux_cdda.c plat_linux_audio.c
+CDDASLAVE.o = $(CDDASLAVE.c:%.c=%.o)
+
 # Compiler flags.
 
-CFLAGS = -O2 -Wall $(PASS) # -fwritable-strings
+CFLAGS = -O2 -Wall $(PASS) -g # -fwritable-strings
 CPPFLAGS = -I$(INCDIR)
-LDFLAGS = -s -L$(LIBDIR) -L$(XLIBDIR) $(LIBLOC)
+LDFLAGS = -L$(LIBDIR) -L$(XLIBDIR) $(LIBLOC)
 LDLIBS = -lxview -lolgx -lX11
 WBLDLIBS =
-CC = gcc
+CC = gcc 
 
 # Standard targets.
 
 all:	 $(PROGRAM) $(PROGRAM).doc workmandb.doc
 
 $(PROGRAM): $(SOURCES.c) $(OBJECTS)
-	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
+	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(OBJECTS) $(LDLIBS)
 
 $(WBPROGRAM): $(WBSOURCES.c) $(WBOBJECTS)
-	$(CC) $(LDFLAGS) -o $@ $(WBOBJECTS) $(WBLDLIBS)
+	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(WBOBJECTS) $(WBLDLIBS)
 
 buildindex: buildindex.c
-	$(CC) $(LDFLAGS) $(CFLAGS) $(DBCFLAGS) $< $(DBLIB) -o $@
+	$(CC) $(LDFLAGS) $(CFLAGS) -I$(INCDIR) $(DBCFLAGS) $< $(DBLIB) -o $@
+
+cddaslave: $(CDDASLAVE.o)
+	$(CC) $(CFLAGS) -I$(INCDIR) $(LDFLAGS) -o $@ $(CDDASLAVE.o) $(CDDALIBS)
 
 clean:
-	$(RM) $(OBJECTS) *.BAK *.delta core
+	$(RM) $(OBJECTS) $(WBOBJECTS) $(CDDASLAVE.o) *.BAK *.delta core workman.doc workmandb.doc
 
 install: $(PROGRAM)
 	cp $(PROGRAM) $(BINDIR)
 
-	chown root $(BINDIR)/$(PROGRAM)
-	chmod 4755 $(BINDIR)/$(PROGRAM)
+#	chown root $(BINDIR)/$(PROGRAM)
+#	chmod 4755 $(BINDIR)/$(PROGRAM)
 
 	cp $(PROGRAM).info $(HLPDIR)
 	chmod 644 $(HLPDIR)/$(PROGRAM).info
@@ -122,6 +133,7 @@
 
 $(PROGRAM).doc: $(PROGRAM).man
 	nroff -man $(PROGRAM).man > $(PROGRAM).doc
+
 workmandb.doc: workmandb.man
 	nroff -man workmandb.man > workmandb.doc
