=== debian/changelog ===
workman (1.3.4-29) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA group
  * Explicitly point to GPL-2 document in debian/copyright
  * No longer ignore errors from make in debian/rules
  * Switch to 3.0 (quilt) source format
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #551572
    - Danish (Joe Hansen).  Closes: #581236

 -- Christian Perrier <bubulle@debian.org>  Tue, 18 May 2010 07:36:40 +0200

workman (1.3.4-28) unstable; urgency=low

  * added Dutch translation by Bart Cornelis. Closes: #436865

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 12 Aug 2007 20:45:00 +0200

workman (1.3.4-27) unstable; urgency=low

  * switched to new menu system

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Fri, 27 Jul 2007 17:25:00 +0200

workman (1.3.4-26) unstable; urgency=low

  * added text to docu to emphasize need of audio connection. Closes: #418287

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Tue, 01 May 2006 20:05:00 +0200

workman (1.3.4-25) unstable; urgency=low

  * updated docu to reflect changed approach on freedb servers

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 15 Oct 2006 22:00:00 +0100

workman (1.3.4-24) unstable; urgency=low

  * removed unnecessary dependencies - fixed checklib report
  * put informative notes from debconf into README.Debian. Closes: #388984

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Tue, 26 Sep 2006 20:30:00 +0100

workman (1.3.4-23) unstable; urgency=low

  * added Swedish translation by Daniel Nylander. Closes: #343125
  * adjusted build-dependence to use libx11-dev instead of xlibs-dev

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Tue, 20 Dec 2005 20:30:00 +0100

workman (1.3.4-22) unstable; urgency=low

  * added Portugese translation by Miguel Figueiredo. Closes: #336844

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 05 Nov 2005 13:30:00 +0100

workman (1.3.4-21) unstable; urgency=low

  * fixed missing dependency on virtual debconf-2.0 package

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 01 Oct 2005 22:30:00 +0200

workman (1.3.4-20) unstable; urgency=low

  * added Vietnamese translation from Clytie Siddall. Closes: #324136

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 21 Aug 2005 12:30:00 +0200

workman (1.3.4-19) unstable; urgency=low

  * added Czech translation from Miroslav Kure. Closes: #314957
  * Corrected spelling error in German translation. Closes: #313881
  * Added error handler for CDDB server errors

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 20 Jun 2005 22:20:00 +0200

workman (1.3.4-18) unstable; urgency=low

  * included ia64 temporarily again to circumvent installer problem

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 05 Dec 2004 16:20:00 +0200

workman (1.3.4-17) unstable; urgency=low

  * moved pixmaps from /usr/X11R6/include to /usr/share
  * changed default compilation to add debug output
  * checked and updated to policy 3.6.1
  * declared PANEL_ACCEPT_KEYSTROKE to reenable Help with latest xlibs
  * excluded ia64 due to discontinued XView library support. Closes: #228966

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 19 Sep 2004 11:55:00 +0200

workman (1.3.4-16) unstable; urgency=low

  * fixed gcc-3.4 compilation problem.  Closes: #264254
  * fixed two minor problems in cdrom-based volume control
  * improved workbone to prepare its release as separate binary package

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 12 Aug 2004 18:50:00 +0200

workman (1.3.4-15) unstable; urgency=low

  * fixed nostrip compilation.  Closes: #228951
  * updated Brazilian Portugese translation from Andre Lopes.  Closes: #228254
  * cleaned up workbone part for future reunification

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 31 Jan 2004 21:50:00 +0200

workman (1.3.4-14) unstable; urgency=low

  * added new Spanish translation from translation team (#201127)
  * added new French translation from translation team (#201631)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 21 Jul 2003 21:20:00 +0200

workman (1.3.4-13) unstable; urgency=low

  * fixed postinst script to accept all device locations (#197784)
  * added several checks in config and postinst scripts
  * adjusted German translation

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 13 Jul 2003 12:20:00 +0200

workman (1.3.4-12) unstable; urgency=low

  * added french translation from translation team (#185564)
  * checked and updated policy conformance
  * added missing removal of substvars by clean rule
  * added handle for a more comfortable saving of CDDB preferences
  * fixed bug in storing the protocol value to the rc file
  * fixed wrong location of one dismiss button
  * slight clean up of source
  * updated man pages and xview info file

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 12 May 2003 09:20:00 +0200

workman (1.3.4-11) unstable; urgency=low

  * added brazilian portuguese translation from Debian-BR Project (#179512)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 06 Mar 2003 21:40:00 +0200

workman (1.3.4-10) unstable; urgency=low

  * fixed build dependencies (#170135)
  * Changed configuration script from vanilla to debconf
  * Added German templates and description
  * Adapted to new policy requirements

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Fri, 27 Dec 2002 14:00:00 +0200

workman (1.3.4-9) unstable; urgency=low

  * Added CDDB support by Nathan Rutman
  * Changed annoying warning message if mixer cannot be used (#112792)
  * Corrected spelling of 'address' in the user interface

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 6 Oct 2001 22:00:00 +0200

workman (1.3.4-8) unstable; urgency=low

  * Added symlink to the workmanrc man page (#99572)
  * Changed maintainer's address
  * Changed to GPG signing

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 2 Jul 2001 22:50:00 +0200

workman (1.3.4-7) unstable; urgency=low

  * Fixed postinst script (#90677)


