=== debian/control ===
Source: workman
Section: sound
Priority: optional
Build-Depends: libx11-dev, xviewg-dev, groff-base, po-debconf
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.6.1

Package: workman
Architecture: any
Depends: ${shlibs:Depends}, debconf (>=0.5) | debconf-2.0
Description: Graphical tool for playing audio CDs on a CD-ROM drive
 WorkMan can play and control audio CDs from a comfortable OpenLook
 interface using an existing audio connection between the CD-ROM drive
 and the sound card. It can retrieve information about CDs from a CDDB
 server, store this information in a database, and extract it automatically
 when the CD is inserted later again.
