=== debian/rules ===
#!/usr/bin/make -f
# debian.rules file for workman
# Derived from the 'hello' sample files provided by Ian Jackson.

package=workman

# Destination for Debian program
DESTDIR = debian/tmp/usr
# Enable debug information by Debian policy
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
PASS='-O0 -DDEBUG'
else
PASS='-O2'
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP='-s'
else
STRIP=''
endif

# The simple rules

build:
	$(checkdir)
	$(MAKE) -f Makefile.linux PASS=$(PASS)
	touch build

clean:
	$(checkdir)
	-rm -f build workman
	[ ! -f Makefile.linux ] || $(MAKE) -f Makefile.linux -i clean
	-rm -rf debian/tmp *~ debian/*~ debian/files* debian/substvars

# The binary package

binary-indep: 	checkroot build                                                 
	$(checkdir)                                                             
                                                                               
binary-arch:  	checkroot build                                                 
	$(checkdir)               
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN 
	install -d $(DESTDIR)/share/doc/$(package) 
	install -d $(DESTDIR)/bin 
	install -d $(DESTDIR)/share/man/man1 $(DESTDIR)/share/man/man5
	install -d $(DESTDIR)/share/menu
	install -d $(DESTDIR)/share/pixmaps
	install -d $(DESTDIR)/X11R6/lib/help
	install -m '0755' debian/config debian/tmp/DEBIAN/config
	install -m '0755' debian/postinst debian/tmp/DEBIAN/postinst
	install -m '0755' debian/postrm debian/tmp/DEBIAN/postrm
	install $(STRIP) -g cdrom -m '2755' workman $(DESTDIR)/bin/workman
	install -m '0644' workman.info $(DESTDIR)/X11R6/lib/help/workman.info
	install -m '0644' workman.man $(DESTDIR)/share/man/man1/workman.1
	install -m '0644' workmandb.man $(DESTDIR)/share/man/man5/workmandb.5
	gzip -9v $(DESTDIR)/share/man/man1/workman.1 $(DESTDIR)/share/man/man5/workmandb.5
	ln -s workmandb.5.gz $(DESTDIR)/share/man/man5/workmanrc.5.gz
	install -m '0644' debian/copyright $(DESTDIR)/share/doc/$(package)
	install -m '0644' debian/changelog $(DESTDIR)/share/doc/$(package)/changelog.Debian
	install -m '0644' debian/README.Debian $(DESTDIR)/share/doc/$(package)/README.Debian
	gzip -9v $(DESTDIR)/share/doc/$(package)/changelog.Debian
	install -m '0644' README $(DESTDIR)/share/doc/$(package)
	gzip -9v $(DESTDIR)/share/doc/$(package)/README
	install -d $(DESTDIR)/share/doc/$(package)/HTML
	install -m '0644' HTML/* $(DESTDIR)/share/doc/$(package)/HTML
	install -m '0644' debian/menu $(DESTDIR)/share/menu/$(package)
	install -m '0644' debian/workman.xpm $(DESTDIR)/share/pixmaps
	dpkg-shlibdeps workman
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	chown root.cdrom $(DESTDIR)/bin/workman
	chmod '2755' $(DESTDIR)/bin/workman
	po2debconf debian/templates > debian/templates.merged
	mv debian/templates.merged debian/tmp/DEBIAN/templates
	dpkg --build debian/tmp ..

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

define checkdir
	test -f plat_linux.c
endef

.PHONY: binary binary-arch binary-indep clean checkroot
